/*
* JBoss, Home of Professional Open Source
* Copyright 2005, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/


package org.jboss.serial.calendartest;

import junit.framework.TestCase;
import org.jboss.serial.io.JBossObjectOutputStream;
import org.jboss.serial.io.JBossObjectInputStream;

import java.io.*;
import java.util.GregorianCalendar;
import java.util.Calendar;

/**
 * $Id: CalendarTestCase.java,v 1.1 2006/02/15 17:20:57 csuconic Exp $
 *
 * @author <a href="mailto:clebert.suconic@jboss.com">Clebert Suconic</a>
 */
public class CalendarTestCase extends TestCase
{
    public void testCalendarJBoss() throws Exception
    {
        Calendar calendar = new GregorianCalendar();
        calendar.setTimeInMillis(System.currentTimeMillis());
        ByteArrayOutputStream byteOut = new ByteArrayOutputStream();
        JBossObjectOutputStream os = new JBossObjectOutputStream(byteOut );
        os.writeObject(calendar);
        os.flush();
        os.close();

        ByteArrayInputStream byteInpt = new ByteArrayInputStream(byteOut.toByteArray());
        JBossObjectInputStream is = new JBossObjectInputStream(byteInpt);
        Calendar c = (Calendar) is.readObject();
        c.clone();

    }

    public void testCalendarJava() throws Exception
    {
        Calendar calendar = new GregorianCalendar();
        calendar.setTimeInMillis(System.currentTimeMillis());
        ByteArrayOutputStream byteOut = new ByteArrayOutputStream();
        ObjectOutputStream os = new ObjectOutputStream(byteOut );
        os.writeObject(calendar);
        os.flush();
        os.close();

        ByteArrayInputStream byteInpt = new ByteArrayInputStream(byteOut.toByteArray());
        ObjectInputStream is = new ObjectInputStream(byteInpt);
        Calendar c = (Calendar) is.readObject();
        c.clone();

    }
}
