/*
* JBoss, Home of Professional Open Source
* Copyright 2005, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/

package org.jboss.serial.contribtests.customertest;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @author prashantp
 * @version $Revision: 1.2 $
 */
public class Policy implements Serializable {
    /**
     *
     */
    private static final long serialVersionUID = -5759822017579729274L;
    private Long id;
    private List claims;
    private Long customerId;

    public Long getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Long customerId) {
        this.customerId = customerId;
    }

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    public Long getId() {
        return id;
    }

    /**
     * DOCUMENT ME!
     *
     * @param id DOCUMENT ME!
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * DOCUMENT ME!
     *
     * @param claim DOCUMENT ME!
     */
    public void addClaims(Claim claim) {
        if (claims == null) {
            claims = new ArrayList();
        }

        claims.add(claim);
    }

    public List getClaims() {
        return claims;
    }

    /**
     * DOCUMENT ME!
     *
     * @param obj DOCUMENT ME!
     * @return DOCUMENT ME!
     */
    public boolean equals(Object obj) {
        if (!(obj instanceof Policy)) {
            return false;
        }

        if (obj == null) {
            return false;
        }

        if (((Policy) obj).getId() == null) {
            return false;
        }

        return ((Policy) obj).getId().equals(id);
    }

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    public int hashCode() {
        return id.hashCode();
    }
}