/*
* JBoss, Home of Professional Open Source
* Copyright 2005, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/


package org.jboss.serial.data;

import java.util.Calendar;
import java.util.GregorianCalendar;
import java.io.Serializable;

/**
 * $Id: TestCalendar.java,v 1.2 2006/04/18 18:42:39 csuconic Exp $
 *
 * @author <a href="mailto:clebert.suconic@jboss.com">Clebert Suconic</a>
 */
public class TestCalendar implements Serializable
{
    Calendar calendar;

    public TestCalendar ()
    {
        calendar = new GregorianCalendar();
        calendar.setTimeInMillis(System.currentTimeMillis());
    }

    public static TestCalendar createTestInstance()
    {
        return new TestCalendar();
    }

    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        final TestCalendar that = (TestCalendar) o;

        if (!calendar.equals(that.calendar)) return false;

        if (calendar==that.calendar)
        {
            throw new RuntimeException("shouldn't be the same");
        }

        return true;
    }

    public int hashCode() {
        return calendar.hashCode();
    }


}
