/*
* JBoss, Home of Professional Open Source
* Copyright 2005, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/

package org.jboss.serial.data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Random;

public class TestCircularReferences implements Serializable
{
	private static final long serialVersionUID = -7109187452751961264L;

	public static TestCircularReferences createTestInstance()
    {
        return new TestCircularReferences();
    }
    
    int id;
    ArrayList references = new ArrayList();
    
    public TestCircularReferences()
    {
    	Random random = new Random();
    	id = random.nextInt();
    	for (int i=0;i<10;i++)
    	{
    		CircularChild child = new CircularChild();
    		child.setReference(this);
    		references.add(child);
    	}
    }

	public int hashCode()
	{
		return id;
	}
	
	public Collection getReferences()
	{
		return references;
	}

	public boolean equals(Object obj)
	{
		TestCircularReferences that = (TestCircularReferences) obj;
		
		boolean result = id == that.id;
		
		if (result)
		{
			return result;
		}
		
		return result;
		
	}

	
    


}
