/*
* JBoss, Home of Professional Open Source
* Copyright 2005, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/

package org.jboss.serial.data;

import java.io.Externalizable;
import java.io.ObjectOutput;
import java.io.IOException;
import java.io.ObjectInput;
import java.util.Random;

/**
 * $Id: TestExternalizable.java,v 1.4 2006/04/18 18:42:39 csuconic Exp $
 *
 * @author <a href="mailto:clebert.suconic@jboss.com">Clebert Suconic</a>
 */
public class TestExternalizable implements Externalizable {


    int test;

    public TestExternalizable()
    {
    }

    public TestExternalizable(int test)
    {
        this.test=test;
    }

    public static TestExternalizable createTestInstance() throws Exception
    {
        int value = new Random().nextInt();
        return new TestExternalizable(value);
    }


    public void writeExternal(ObjectOutput out) throws IOException {
        out.writeInt(test);
    }

    public void readExternal(ObjectInput in) throws IOException, ClassNotFoundException {
        test = in.readInt();
    }

    public int hashCode() {
        return test;
    }

    public boolean equals(Object obj) {
        return test==((TestExternalizable)obj).test;
    }

    public int getTest() {
        return test;
    }

    public void setTest(int test) {
        this.test = test;
    }

    public String toString()
    {
        return "TestExternalizable:test=" + test;
    }
}

