/*
* JBoss, Home of Professional Open Source
* Copyright 2005, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/

package org.jboss.serial.data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Random;

/**
 * $Id: TestHugeData.java,v 1.4 2006/04/18 18:42:39 csuconic Exp $
 *
 * @author <a href="mailto:clebert.suconic@jboss.com">Clebert Suconic</a>
 */
public class TestHugeData implements Serializable {

    static Random random = new Random();

    public static TestHugeData createTestInstance()
    {
        return createTestInstance(10);
    }

    private static TestHugeData createTestInstance(int deep)
    {
        TestHugeData hugeData = new TestHugeData();
        for (int i=0;i<5;i++)
        {
            hugeData.data.add(new String("sdflkjsdfkljsdfkljsdflkjsdlfkjsdklfjskldfjslkdfjslkdfjslkdfj;alskdfj a;sldkfj a;skldjf a;klsdfj ;alksdfj a;lksdfj ;asklf" + random.nextDouble()));
        }
        if (deep>0)
        {
            hugeData.subData = createTestInstance(deep-1);
        }
        return hugeData;
    }

    ArrayList data = new ArrayList();

    public TestHugeData() {
        Random rnd = new Random();
        index = rnd.nextInt();
    }


    int index;
    TestHugeData subData;


    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        final TestHugeData that = (TestHugeData) o;

        if (index != that.index) return false;

        return true;
    }

    public int hashCode() {
        return index;
    }

}
