/*
* JBoss, Home of Professional Open Source
* Copyright 2005, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/

package org.jboss.serial.data;

import java.io.Serializable;

/**
 * $Id: TestReadResolve.java,v 1.3 2006/04/18 18:42:39 csuconic Exp $
 *
 * @author <a href="mailto:clebert.suconic@jboss.com">Clebert Suconic</a>
 */
public class TestReadResolve implements Serializable {

    public static final TestReadResolve[] testReadResolveField = new TestReadResolve[]{new TestReadResolve(0,"zero"), new TestReadResolve(0,"zero")};

    public int order;
    public transient String name;

    public TestReadResolve(int order, String name)
    {
        this.order=order;
        this.name=name;
    }

    public Object readResolve()
    {
        return testReadResolveField[order];
    }


    public static TestReadResolve createTestInstance()
    {
        return testReadResolveField[1];
    }

    public boolean equals(Object obj)
    {
        TestReadResolve objRef = (TestReadResolve)obj;
        return order==objRef.order && name.equals(objRef.name);
    }

    public String toString()
    {
        return "TestReadResolve order=" + order + " name=" + name;
    }

}
