/*
* JBoss, Home of Professional Open Source
* Copyright 2005, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/

package org.jboss.serial.data;

import java.util.Random;

public class TestWithInterface implements SomeInterface , java.io.Serializable {

	private static final long serialVersionUID = -356480570497855972L;


	public TestWithInterface()
    {
        Random random = new Random();
        this.x = random.nextInt();
    }

    private int x;


    public static TestWithInterface createTestInstance()
    {
    	TestWithInterface myTest = new TestWithInterface();
        return myTest;
    }

    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        final TestWithInterface that = (TestWithInterface) o;

        if (x != that.x) return false;

        return true;
    }

    public int hashCode() {
        return x;
    }

    public String toString() {
        return "TestWithInterface:" + x;
    }

	public int getX() {
		return x;
	}
}