/*
* JBoss, Home of Professional Open Source
* Copyright 2005, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/

package org.jboss.serial.data.proxy;

import java.io.Serializable;
import java.lang.reflect.Proxy;

/**
 * $Id: ProxiedClass.java,v 1.4 2006/04/18 18:42:42 csuconic Exp $
 *
 * @author <a href="mailto:clebert.suconic@jboss.com">Clebert Suconic</a>
 */
public class ProxiedClass implements InterfaceForProxy, Serializable {
    private int value;

    public ProxiedClass(int value)
    {
        this.value=value;
    }
    /** It always return value.
     *  {@link org.jboss.serial.data.proxy.TestHandler} will multiply this by a factor and we will use that value to test
     *   if the value is being used or not.*/
    public int doSomething() {
        return value;
    }


    public static InterfaceForProxy createMyProxy(int a, int b) {
        ProxiedClass proxyClass = new ProxiedClass(a);

        Class proxyClazz = Proxy.getProxyClass(Thread.currentThread().getContextClassLoader(),new Class[]{InterfaceForProxy.class});

        InterfaceForProxy proxy = (InterfaceForProxy) Proxy.newProxyInstance(Thread.currentThread().getContextClassLoader(),new Class[]{InterfaceForProxy.class},new TestHandler(b,proxyClass));
        return proxy;
    }

}
