/*
* JBoss, Home of Professional Open Source
* Copyright 2005, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/

package org.jboss.serial.data.tests;

import junit.framework.TestCase;

import java.io.ByteArrayOutputStream;
import java.io.ByteArrayInputStream;
import java.util.Random;

import org.jboss.serial.data.LocalMarshalledValue;
import org.jboss.serial.io.JBossObjectInputStream;
import org.jboss.serial.io.JBossObjectOutputStream;

/**
 * $Id: PrimitiveValuesTestCase.java,v 1.1 2006/04/25 19:39:51 csuconic Exp $
 *
 * @author <a href="mailto:clebert.suconic@jboss.com">Clebert Suconic</a>
 */
public class PrimitiveValuesTestCase extends TestCase
{
    static Random random = new Random();
    private void testObject(Object obj) throws Exception
    {
        ByteArrayOutputStream byteOut = new ByteArrayOutputStream();
        JBossObjectOutputStream objout = new JBossObjectOutputStream(byteOut);
        LocalMarshalledValue tstValue = new LocalMarshalledValue(obj);
        objout.writeObject(tstValue);
        objout.flush();

        JBossObjectInputStream objinput = new JBossObjectInputStream(new ByteArrayInputStream(byteOut.toByteArray()));
        LocalMarshalledValue localValue = (LocalMarshalledValue)objinput.readObject();

        Object value = localValue.get();
        System.out.println(value);

        assertEquals(obj,value);
    }


    public void testJavaLangLong() throws Exception
    {
        testObject(new Long(random.nextLong()));
    }

    public void testJavaLangBoolean() throws Exception
    {
        testObject(new Boolean(false));
        testObject(new Boolean(true));

    }
}
