/*
* JBoss, Home of Professional Open Source
* Copyright 2005, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/

package org.jboss.serial.safetoreuse;

import junit.framework.TestCase;
import org.jboss.serial.io.JBossObjectOutputStream;
import org.jboss.serial.objectmetamodel.safecloning.SafeCloningRepository;
import org.jboss.serial.objectmetamodel.safecloning.SafeClone;

/**
 * $Id: SafeToReuseTestCase.java,v 1.3 2006/04/18 18:42:40 csuconic Exp $
 *
 * @author <a href="mailto:clebert.suconic@jboss.com">Clebert Suconic</a>
 */
public class SafeToReuseTestCase extends TestCase {

    public void testReuseOnCloning() throws Exception
    {
        JBossObjectOutputStream out = new JBossObjectOutputStream(null);

        SafeCloningRepository safeToReuse = new SafeCloningRepository(new SafeClone()
        {
            public boolean isSafeToReuse(Object obj) {
                return (obj instanceof ChildObject);
            }
        });

        RootObject first = new RootObject();
        RootObject second = (RootObject)out.smartClone(first,safeToReuse);

        assertTrue(first!=second);
        assertEquals(first,second);
        assertEquals(first.child,second.child);
        assertTrue(first.child==second.child);
    }

}
